ISXEVE - Bug #2190

Entity[id]:GetCargo does not work with wrecks while it works with Cargo Containers
2021-12-22 01:08 AM - smokemonkey

Status: Feedback Required
Priority: Normal

Assignee: Amadeus
Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description
Also, EVEWindow[Inventory]:LootAll method won't work for wrecks while it works for cargo containers.

Trying to press the 'loot all' button on the inventory window has the same issue.

History

#1 - 2021-12-22 01:09 AM - smokemonkey
EVEWindow[byitemID, wreckID](exists) does not work either.

#2 - 2021-12-22 01:17 AM - Amadeus
- Category set to broken feature(s)
- Status changed from New to Feedback Required

- Assignee set to Amadeus

Provide a step-by-step walkthrough of the easiest/cheapest/safest way to create wrecks that | can use for testing this. Is it pirates in asteroid belts?
Easy missions?

Also, can you provide a sample/simple lavishscript script that | can run when | have a wreck targeted that will show both of the bugs you mention? If
not, | can make one -- but | assumed you might have something you used while testing.

#3 - 2021-12-22 05:29 AM - smokemonkey

The easiest way to repro this bug is setup and use tehbot. If you have a combat ship which can do some combat missions and is with a tractor
beam(marauders would be ideal), just do some missions with the bot(please make sure 'salvage minimode is enabled, which is in the 3rd tab of the
GUI') and you will see that the bot opens the non-empty wrecks but won't be able to loot from them until they are salvaged into cargo containers. And
this is the problem | have been talking about.

Or | think you can just shoot at pirates and create some wrecks anywhere, and then return to the location with a salvage ship with tractor beams. In
this case you probably will run tehbot in 'minimode only' mode. The salvager may refuse to work in this mode, then you just need to add this line to
somewhere near line 39 of the file(

https://github.com/SmokeMonkey/Tehbot/blob/e1d65a60f598936957073fe776efe451ccf2caab/minimode/Salvage.iss#L.39) and restart the bot.
This.NonGameTiedPulse:Set[TRUE]
Then it will salvage in 'minimode only' mode and you will see the bug repro.

The 'loot' related code is in this section:
https:/github.com/SmokeMonkey/Tehbot/blob/e1d65a60f59893695707 3fe776efe451 ccf2caab/minimode/Salvage.iss#L. 291

you can interact with wrecks in similar fasion. You won't be able to loot from or get item list from wrecks.
| would suggest using tehbot to test because building correct querystring can be tricky for wrecks.

#4 - 2021-12-27 05:50 AM - smokemonkey
| found this bug is caused by my script:

The wrecks will be marked as 'IsViewed ' at the moment | open it, and 'viewed' wrecks will be ignored by my script in the next turn which does the
actual looting.

On the other hand, Cargo containers will never be marked as 'viewed' correctly so the issue didn't affect them previously.

So the actual bug is 'cargo containers' not marked as IsViewed correctly, just like 'lsAbandoned' is not added to wrecks/cargo containers correctly.
